TARGET = GraphRec
TEMPLATE = app
INCLUDEPATH = ./
RC_FILE = graphrec.rc
RESOURCES += graphrec.qrc
QT += svg
LIBS += -lavutil -lavformat -lavcodec -lswscale

# CONFIG += debug
# QMAKE_CXXFLAGS_DEBUG *= -pg
# QMAKE_LFLAGS_DEBUG *= -pg

HEADERS += primitives/entity.h
HEADERS += primitives/node.h
HEADERS += primitives/edge.h
HEADERS += parsers/parser.h
HEADERS += parsers/multirobotparser.h
HEADERS += parsers/graphrecparser.h
HEADERS += validators/validator.h
HEADERS += validators/multirobotvalidator.h
HEADERS += validators/pebblevalidator.h
HEADERS += layouters/layouter.h
HEADERS += layouters/fruchtermanreingoldlayouter.h
HEADERS += layouters/kamadakawailayouter.h
HEADERS += recorders/recorder.h
HEADERS += recorders/imagerecorder.h
HEADERS += recorders/videorecorder.h
HEADERS += recorders/rasterimagerecorder.h
HEADERS += recorders/svgimagerecorder.h
HEADERS += recorders/ffmpegvideorecorder.h
HEADERS += savers/saver.h
HEADERS += savers/multirobotsaver.h
HEADERS += savers/graphrecsaver.h
HEADERS += servant.h
HEADERS += context.h
HEADERS += factory.h
HEADERS += auxiliary/treewidgetitem.h
HEADERS += dialogs/opendialog.h
HEADERS += dialogs/colordialog.h
HEADERS += dialogs/errordialog.h
HEADERS += dialogs/setupdialog.h
HEADERS += dialogs/capturedialog.h
HEADERS += dialogs/helpdialog.h
HEADERS += graphview.h
HEADERS += graphrec.h

SOURCES += primitives/entity.cpp
SOURCES += primitives/node.cpp
SOURCES += primitives/edge.cpp
SOURCES += parsers/multirobotparser.cpp
SOURCES += parsers/graphrecparser.cpp
SOURCES += validators/multirobotvalidator.cpp
SOURCES += validators/pebblevalidator.cpp
SOURCES += layouters/fruchtermanreingoldlayouter.cpp
SOURCES += layouters/kamadakawailayouter.cpp
SOURCES += recorders/rasterimagerecorder.cpp
SOURCES += recorders/svgimagerecorder.cpp
SOURCES += recorders/ffmpegvideorecorder.cpp
SOURCES += savers/multirobotsaver.cpp
SOURCES += savers/graphrecsaver.cpp
SOURCES += context.cpp
SOURCES += factory.cpp
SOURCES += auxiliary/treewidgetitem.cpp
SOURCES += dialogs/opendialog.cpp
SOURCES += dialogs/colordialog.cpp
SOURCES += dialogs/errordialog.cpp
SOURCES += dialogs/setupdialog.cpp
SOURCES += dialogs/capturedialog.cpp
SOURCES += dialogs/helpdialog.cpp
SOURCES += graphview.cpp
SOURCES += graphrec.cpp
SOURCES += main.cpp

FORMS += dialogs/opendialog.ui
FORMS += dialogs/colordialog.ui
FORMS += dialogs/errordialog.ui
FORMS += dialogs/setupdialog.ui
FORMS += dialogs/capturedialog.ui
FORMS += dialogs/helpdialog.ui
FORMS += graphrec.ui
